Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.doc
Class DocEngine

    java.lang.Object
      org.radeox.engine.BaseRenderEngine
          grails.doc.DocEngine

All Implemented Interfaces:
  groovy.lang.GroovyObject, org.radeox.api.engine.RenderEngine, org.radeox.api.engine.WikiRenderEngine

    public class DocEngine

extends org.radeox.engine.BaseRenderEngine
implements org.radeox.api.engine.WikiRenderEngine, groovy.lang.GroovyObject

Field Summary

Fields inherited from class org.radeox.engine.BaseRenderEngine
`fp, initialContext, NAME`

Constructor Summary
`DocEngine(org.radeox.api.engine.context.InitialRenderContext context)`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`void` | `appendCreateLink(StringBuffer buffer, String name, String view)`
`void` | `appendLink(StringBuffer buffer, String name, String view)`
`void` | `appendLink(StringBuffer buffer, String name, String view, String anchor)`
`boolean` | `exists(String name)`
`static Object` | `getALIAS()`
`static Object` | `getBASE_DIR()`
`static Object` | `getCONTEXT_PATH()`
`static Properties` | `getDefaultProps()`
`Properties` | `getEngineProperties()`
`static Object` | `getEXTERNAL_DOCS()`
`groovy.lang.MetaClass` | `getMetaClass()`
`static Object` | `getNameCache()`
`String` | `getNaturalName(String name)`
`Object` | `getProperty(String property)`
`static Object` | `getSOURCE_FILE()`
`protected void` | `init()`
`Object` | `invokeMethod(String method, Object arguments)`
`static void` | `setALIAS(Object value)`
`void` | `setEngineProperties(Properties value)`
`static void` | `setEXTERNAL_DOCS(Object value)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setProperty(String property, Object value)`
`boolean` | `showCreate()`

Methods inherited from class org.radeox.engine.BaseRenderEngine
`getInitialRenderContext, getName, render, render, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocEngine

    public DocEngine(org.radeox.api.engine.context.InitialRenderContext context)

Method Detail

### getCONTEXT_PATH

    public static Object getCONTEXT_PATH()

### getSOURCE_FILE

    public static Object getSOURCE_FILE()

### getBASE_DIR

    public static Object getBASE_DIR()

### getEXTERNAL_DOCS

    public static Object getEXTERNAL_DOCS()

### setEXTERNAL_DOCS

    public static void setEXTERNAL_DOCS(Object value)

### getALIAS

    public static Object getALIAS()

### setALIAS

    public static void setALIAS(Object value)

### getEngineProperties

    public Properties getEngineProperties()

### setEngineProperties

    public void setEngineProperties(Properties value)

### getNameCache

    public static Object getNameCache()

### exists

    public boolean exists(String name)

  Specified by:
    `exists` in interface `org.radeox.api.engine.WikiRenderEngine`

### showCreate

    public boolean showCreate()

  Specified by:
    `showCreate` in interface `org.radeox.api.engine.WikiRenderEngine`

### getDefaultProps

    public static Properties getDefaultProps()

### init

    protected void init()

  Overrides:
    `init` in class `org.radeox.engine.BaseRenderEngine`

### appendLink

    public void appendLink(StringBuffer buffer,
                           String name,
                           String view,
                           String anchor)

  Specified by:
    `appendLink` in interface `org.radeox.api.engine.WikiRenderEngine`

### appendLink

    public void appendLink(StringBuffer buffer,
                           String name,
                           String view)

  Specified by:
    `appendLink` in interface `org.radeox.api.engine.WikiRenderEngine`

### appendCreateLink

    public void appendCreateLink(StringBuffer buffer,
                                 String name,
                                 String view)

  Specified by:
    `appendCreateLink` in interface `org.radeox.api.engine.WikiRenderEngine`

### getNaturalName

    public String getNaturalName(String name)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project